using UnityEngine;

public class NumberLock : Lock
{
    [SerializeField] private int number;

    public override bool CheckIfKeyFits(DicePair dicePair)
    {
        if (base.CheckIfKeyFits(dicePair) && dicePair.Sum() == number)
        {
            return true;
        }

        return false;
    }

    public int GetNumber()
    {
        return number;
    }
}
